### Method

# Foundry CommandManager find_command

#### Declaration [src]

    FoundryCommand*
    foundry_command_manager_find_command (
      FoundryCommandManager* self,
      const char* command_id
    )

#### Description [src]

Looks through available commands to find one matching `command_id`.

#### Parameters

`command_id`

  Type: `const char*`

  An identifier matching a `FoundryCommand:id`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FoundryCommand`

A `FoundryCommand` or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.